<launch>
  <arg name="device" default="/dev/video0"/>
  <arg name="frame_id" default="seecam"/>
<!--  <arg name="frame_rate" default="20"/>-->
  <arg name="namespace" default="$(arg frame_id)"/>

  <node name="gscam_driver_v4l" pkg="pe_gscam" type="gscam" output="screen" ns="$(arg namespace)">
    <param name="camera_name" value="$(arg frame_id)"/>
    <param name="frame_id" value="$(arg frame_id)"/>
    <param name="use_gst_timestamps" value="true"/>
    <param name="camera_info_url" value="package://pe_gscam/launch/uncalibrated_parameters.ini"/>
    <param name="gscam_config"
           value="v4l2src io-mode=0 device=$(arg device) ! video/x-raw, width=1920, height=1080, framerate=30/1, format=UYVY ! videoconvert "/>
    <param name="sync_sink" value="false"/>
    <param name="image_encoding" value="rgb8"/>

    <remap from="/$(arg namespace)/image_raw" to="/$(arg namespace)/image_full"/>
  </node>

  <!--  <node name="$(anon throttle)" pkg="topic_tools" type="throttle" output="screen" args="messages /$(arg namespace)/image_full $(arg frame_rate) /$(arg namespace)/image_raw"/>-->
  <!--  <node name="$(anon compress)" pkg="image_transport" type="republish" output="screen" args="raw in:=/$(arg namespace)/image_full compressed out:=/$(arg namespace)/image_raw"/>-->

</launch>
